Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.score.definition
Class ScoreDefinitionConfig

    java.lang.Object
      org.drools.planner.config.score.definition.ScoreDefinitionConfig

    public class ScoreDefinitionConfig

extends Object

Nested Class Summary
`static class` | `ScoreDefinitionConfig.ScoreDefinitionType`

Constructor Summary
`ScoreDefinitionConfig()`

Method Summary
`ScoreCalculator` | `buildScoreCalculator()`
`ScoreDefinition` | `buildScoreDefinition()`
`ScoreDefinition` | `getScoreDefinition()`
`Class<ScoreDefinition>` | `getScoreDefinitionClass()`
`ScoreDefinitionConfig.ScoreDefinitionType` | `getScoreDefinitionType()`
`void` | `inherit(ScoreDefinitionConfig inheritedConfig)`
`void` | `setScoreDefinition(ScoreDefinition scoreDefinition)`
`void` | `setScoreDefinitionClass(Class<ScoreDefinition> scoreDefinitionClass)`
`void` | `setScoreDefinitionType(ScoreDefinitionConfig.ScoreDefinitionType scoreDefinitionType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoreDefinitionConfig

    public ScoreDefinitionConfig()

Method Detail

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### setScoreDefinition

    public void setScoreDefinition(ScoreDefinition scoreDefinition)

### getScoreDefinitionClass

    public Class<ScoreDefinition> getScoreDefinitionClass()

### setScoreDefinitionClass

    public void setScoreDefinitionClass(Class<ScoreDefinition> scoreDefinitionClass)

### getScoreDefinitionType

    public ScoreDefinitionConfig.ScoreDefinitionType getScoreDefinitionType()

### setScoreDefinitionType

    public void setScoreDefinitionType(ScoreDefinitionConfig.ScoreDefinitionType scoreDefinitionType)

### buildScoreDefinition

    public ScoreDefinition buildScoreDefinition()

### buildScoreCalculator

    public ScoreCalculator buildScoreCalculator()

### inherit

    public void inherit(ScoreDefinitionConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.